### Function

# Foundry key_file_new_merged

#### Declaration [src]

    DexFuture*
    foundry_key_file_new_merged (
      const char* const* search_dirs,
      const char* file,
      GKeyFileFlags flags
    )

#### Description

No description available.

#### Parameters

`search_dirs`

  Type: `const char* const*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`file`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GKeyFileFlags`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GKeyFile` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.